@import "variables";
@import "vendor/bootstrap/bootstrap/variables"; // To resolve `$screen-md-min`

/*
This file works in concert with generate-navigation-helpers.js and is sectionalized by its corresponding methods:
- generateTableOfContents()
- generateHeaderLinks()/generateHeaderLinkScrollHelpers()
*/

/* Styles used with generateTableOfContents() */

.sidebar-layout-wrapper {
  .tocs-sidebar {
    display: none;

    a:not(.btn) {
      text-decoration: underline;
    }
  }

  .container {
    li {
      margin-top: 0.5em;

      &:last-child {
        margin-bottom: 0.5em;
      }
    }
  }
}

@media (min-width: $screen-md-min) {
  .sidebar-layout-wrapper {
    max-width: 1280px;
    margin-left: auto;
    margin-right: auto;
    padding: 0 20px;

    .tocs-sidebar {
      position: sticky;
      font-size: 16px;
      display: block;
      float: right;
      width: 30%;
      max-width: 30%;
      max-height: 100vh;
      top: 35px;
      padding: 0 20px;
      overflow-y: scroll;

      @mixin sidebar-header {
        margin-top: 30px;
        padding-bottom: 10px;
        border-bottom: 1px solid $color-gray-extra-light;
      }

      .codeowners {
        h4 {
          @include sidebar-header;
        }

        .codeowners-list {
          display: flex;
          flex-wrap: wrap;

          .codeowner {
            text-decoration: none;

            .codeowner-avatar-img,
            .codeowner-avatar-group {
              // Normally we'd want rem units but the _scaffolding.scss resets to font-size to 10px and then .container.md-page sets to 16px. I'd refactor _scaffolding.scss, but don't know the impact across the site at the moment.
              width: 2.5em;
              height: 2.5em;

              // Defensive styling in case img url is broke so it still looks OK
              max-width: 2.5em;
              max-height: 2.5em;
              overflow: hidden;

              margin: 0 0.75em 0.75em 0;
              border-radius: 50%;
              border: 1px solid $color-gray-extra-light;
            }

            .codeowner-avatar-group {
              display: flex;
              justify-content: center;
              align-items: center;

              border-radius: 12%;

              span {
                font-size: 1.25em;
              }
            }

            .codeowners-single {
              display: flex;
              justify-content: center;

              .codeowners-single-labels {
                display: flex;
                flex-direction: column;

                .codeowners-handle {
                  font-size: .75em;
                }
              }
            }
          }
        }
      }

      > h4 {
        @include sidebar-header;
      }

      > ul {
        padding-left: 20px;
        padding-bottom: 50px;
      }
    }

    .container {
      float: left;
      max-width: 70%;
    }

    table {
      table-layout: fixed;
    }
  }
}

/* Styles used with generateHeaderLinks()/generateHeaderLinkScrollHelpers() */

.header-link-title {
  .header-link-anchor {
    opacity: 0;
    display: inline-block;
    width: 1em;
    height: 1em;
    max-height: 20px;
    vertical-align: middle;
    background: url("/images/icons/icon_anchor.svg") center center no-repeat;
    background-size: contain;
  }

  &::before {
    display: block;
    content: " ";
    margin-top: -75px;
    height: 75px;
    visibility: hidden;
  }

  &:hover {
    .header-link-anchor {
      opacity: 1;
    }
  }
}
